[processing] SAGA algorithms cannot produce non-shp output
Status: Closed

Priority: High

Assignee: Victor Olaya
Affected QGIS version:3.5(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28907

Description

Looks like the mechanism that was implemented in 2.x, which allowed to handle any output format (Processing called saga to create a
SHP, and then transparently converted that to the desired format under the hood) is gone in the current implementation.

If that's on purpose, i guess it whould be documented, and SAGA algorithms should not run in that case, showing a warning message. If

it's not intended, it's an important regression.

Associated revisions

Revision 13bff962 - 2019-02-22 08:24 PM - Victor Olaya

[processing] do not allow using unsupported file formats

Show warning message if user selects incompatible output file format

fixes #21089

Revision 96b25ab7 - 2019-02-25 05:56 AM - Victor Olaya

[processing] do not allow using unsupported file formats

Show warning message if user selects incompatible output file format

fixes #21089

(cherry picked from commit 13bff9620c39e110852f4623e3ad9c3ec5ba260c)

Revision 38a3b2a7 - 2019-02-26 02:14 AM - Victor Olaya

[processing] do not allow using unsupported file formats

Show warning message if user selects incompatible output file format

fixes #21089

(cherry picked from commit 13bff9620c39e110852f4623e3ad9c3ec5ba260c)
History

#1 - 2019-01-24 04:00 PM - Victor Olaya

Looks like it is not implemented. The supportedOutputVectorLayerExtensions method is not being used (just for the extensions in the file diaalog, but not

for any other thing).

The logic for all this was here in 2.x:

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/core/GeoAlgorithm.py#L271

I will add it to the SAGA algorithm, and eventually it can be moved upstream.

#2 - 2019-01-24 06:11 PM - Alexander Bruy

If I'm not wrong this was intentional change. SAGA outputs left in its native formats to avoid any possible data loss during automated conversion, this

especially critical for rasters.

#3 - 2019-01-24 06:57 PM - Victor Olaya

Ah, cool. Then | guess that what we need is some warning message. Or, at least, if the file extension is not correct, fix it on-the-fly so the algorithm doesnt

fail

#4 - 2019-02-22 08:24 PM - Victor Olaya
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|13bff9620c39e110852f4623e3ad9c3ec5ba260c.
